Skip to main content
POST
/
api
/
2.0
/
patient_form_requests
Create Patient Form Request
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/patient_form_requests/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "patient": 123,
  "patient_forms": [
    123
  ],
  "notification_date": "2023-12-25"
}
'
{
  "patient": 123,
  "patient_forms": [
    123
  ],
  "created_date": "2023-11-07T05:31:56Z",
  "forms_url": "<string>",
  "id": 123,
  "notification_date": "2023-12-25",
  "practice": 123
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
patient
integer<int64>
required

The ID of the patient that should be associated with the request.

patient_forms
integer[]
required

The IDs of the forms that should be associated to the request. Please note that you must create these forms before trying to create a request.

notification_date
string<date>

This is the date that the request will appear in the Practice's action queue. This value must be in the future, excluding the current day. The default value is one week into the future.

Response

201 - application/json
patient
integer<int64>
required

The ID of the patient that should be associated with the request.

patient_forms
integer[]
required

The IDs of the forms that should be associated to the request. Please note that you must create these forms before trying to create a request.

created_date
string<date-time> | null
read-only
forms_url
string<uri>
read-only
id
integer
read-only
notification_date
string<date>

This is the date that the request will appear in the Practice's action queue. This value must be in the future, excluding the current day. The default value is one week into the future.

practice
integer
read-only